# Uses of Class
org.apache.lucene.search.spell.DirectSpellChecker.ScoreTerm

Packages that use DirectSpellChecker.ScoreTerm
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.

- ## Uses of DirectSpellChecker.ScoreTerm in org.apache.lucene.search.spell

  Methods in org.apache.lucene.search.spell that return types with arguments of type DirectSpellChecker.ScoreTerm
  Modifier and Type
  Method
  Description
  `protected Collection<DirectSpellChecker.ScoreTerm>`
  DirectSpellChecker.`suggestSimilar(Term term, int numSug, IndexReader ir, int docfreq, int editDistance, float accuracy, CharsRefBuilder spare)`
  Provide spelling corrections based on several parameters.
  Methods in org.apache.lucene.search.spell with parameters of type DirectSpellChecker.ScoreTerm
  Modifier and Type
  Method
  Description
  `int`
  DirectSpellChecker.ScoreTerm.`compareTo(DirectSpellChecker.ScoreTerm other)`